> For the complete documentation index, see [llms.txt](https://docs.nexthink.com/platform/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.nexthink.com/platform/ja/configuring_nexthink/bringing-data-into-your-nexthink-instance/deploying-nexthink-in-vdi-environment/vdi-platform-specific-deployment-scenarios/omnissa-horizon-on-prem.md).

# Omnissa Horizon (オンプレミス)

Omnissa Horizon のオンプレミスバージョンは、組織のデータセンターやプライベートクラウドで動作します。 これにより、企業は既存のインフラ投資を活用しながらバーチャルデスクトップの管理を集中化することができます。 これは、VDI環境、データ、およびコンプライアンスを完全に管理したいと考える組織が、柔軟にバーチャルデスクトップをプロビジョニングおよび管理するために一般的に使用されます。

{% hint style="warning" %}
オムニサホライズン セッションでは、デバイスレベルの追加のパフォーマンスデータ収集はまだサポートされていません。 そのため、エンドポイントにインストールされたコレクターまたはVDIクライアント拡張機能は、ホライズンセッションに関する追加情報を送信しません。
{% endhint %}

{% stepper %}
{% step %}
**コネクタのセットアップ**

NexthinkをOmnissa Horizon APIに接続して、セッションメタデータの取り込みを設定します。 このステップにより、VDIエクスペリエンスモジュール内の洞察を充実させるために、コンテキストデータが利用可能になります。

コネクタを設定するには、[Omnissa Horizon用コネクタ](https://docs.nexthink.com/platform/ja/technical-previews/connector-for-omnissa-horizon?visitor.isOmnissaTPUser=true)に記載された手順を実行してください。
{% endstep %}

{% step %}
**VMにコレクターをインストール**

**手動または自動デプロイ**

* **共有VDI**: Horizonのマルチセッションホストにコレクターをインストールします。 セッションホストがドメインに参加し、適切なサイズでプロビジョニングされていることを確認してください。
* **パーソナルVDI（永続型）**: 永続デスクトップのプロビジョニングまたはオンボーディング時に標準エージェントとしてコレクターをインストールします。

両方のシナリオについて、以下のドキュメントに記載されている手順を実施してください。

1. [Windows上でのCollectorのインストール](/platform/ja/configuring_nexthink/bringing-data-into-your-nexthink-instance/deploying-nexthink-in-non-vdi-environment/installing-collector/installing-collector-on-windows.md#configuring-collector-for-vms)
2. [Windows上でのCollectorのインストール](/platform/ja/configuring_nexthink/bringing-data-into-your-nexthink-instance/deploying-nexthink-in-non-vdi-environment/installing-collector/installing-collector-on-windows.md#installing-collector-on-vms)
3. [Windows上でのCollectorのインストール](/platform/ja/configuring_nexthink/bringing-data-into-your-nexthink-instance/deploying-nexthink-in-non-vdi-environment/installing-collector/installing-collector-on-windows.md#installingcollectoronwindows-deployingcollectorusingactivedirectorygrouppolicy-1)

**ゴールデンイメージベースのデプロイ**

プールされたVDI（非永続型）は、ゴールデンイメージを使用して展開されます。

以下のドキュメントに記載されている手順を実施してください。

1. [Windows上でのCollectorのインストール](/platform/ja/configuring_nexthink/bringing-data-into-your-nexthink-instance/deploying-nexthink-in-non-vdi-environment/installing-collector/installing-collector-on-windows.md#configuring-collector-for-vms)
2. [Windows上でのCollectorのインストール](/platform/ja/configuring_nexthink/bringing-data-into-your-nexthink-instance/deploying-nexthink-in-non-vdi-environment/installing-collector/installing-collector-on-windows.md#installing-collector-on-vms)
3. [Windows上でのCollectorのインストール](/platform/ja/configuring_nexthink/bringing-data-into-your-nexthink-instance/deploying-nexthink-in-non-vdi-environment/installing-collector/installing-collector-on-windows.md#installingcollectoronwindows-deployingcollectorwithinawindowsreferenceimage)
   {% endstep %}

{% step %}
**コネクタとコレクターのテスト**

**コネクタ**

接続の統合からの情報でデバイスやセッションデータが強化されていることを確認するために、次のフィールドを確認します。：

* ディスクイメージ
* デスクトッププール
* 仮想化ホスト名
* 仮想化タイプ

充実をテストするには、CollectorがVMにインストールされていて稼働していることを確認し、次のクエリを実行します。

{% code lineNumbers="true" %}

```sql
devices
| where virtualization.desktop_broker == horizon_on_prem
| list name, hardware.type, virtualization.disk_image, virtualization.desktop_pool, virtualization.environment_name, virtualization.hypervisor_name,  virtualization.hostname, virtualization.type, virtualization.last_update
| sort virtualization.last_update desc
```

{% endcode %}

クエリの実行について詳しくは、[https://docs.nexthink.com/platform/ja/user-guide/investigations/](https://docs.nexthink.com/platform/ja/user-guide/investigations/ "mention") ドキュメントを参照してください。

**VM 上の Collector**

{% hint style="info" %}
必要に応じて、NexthinkサポートまたはNexthinkの担当者にお問い合わせください。
{% endhint %}

**共有VDI**

Nexthinkに以下のデータが表示されていることを確認してください：

* デバイスID
* ユーザー名
* セッションホスト名

これを確認するには、次のクエリを実行します。

{% code lineNumbers="true" %}

```sql
vdi_sessions
| where device.virtualization.desktop_broker == horizon_on_prem and vdi_session.virtualization_type == shared
| list vdi_session.name, user.name, device.name, vdi_session.hostname, desktop_pool, first_seen
| sort first_seen desc
```

{% endcode %}

**プールVDI（非永続型）**

次の展開後の報告がされていることを確認してください：

* 一意のデバイスID
* 正確なプール名
* 新鮮な起動時間

これを確認するには、次のクエリを実行します。

{% code lineNumbers="true" %}

```sql
devices
| where virtualization.desktop_broker == horizon_on_prem and virtualization.type == pooled
| list name, virtualization.desktop_pool, boot.last_full_boot_time
| sort boot.last_full_boot_time desc
```

{% endcode %}

**個人VDI（永続型）**

次の報告が一貫していることを確認してください：

* デバイスIDと割り当てられたユーザー
* 再起動とログオンによるシステム稼働時間

確認のためには、次のクエリを実行します。

{% code lineNumbers="true" %}

```sql
devices
| where virtualization.desktop_broker == horizon_on_prem and virtualization.type == personal
| with session.vdi_events during past 168h
| compute number_of_sessions = vdi_session.count(), time_since_session_last_seen = end_time.last().time_elapsed(), last_user = user.name.last()
| include device_performance.boots during past 168h
| compute number_of_restarts = number_of_boots.sum()
| include session.logins during past 168h
| compute time_since_last_login = time.last().time_elapsed(), number_of_logons = number_of_logins.sum()
| list name, last_user, number_of_sessions, time_since_session_last_seen, number_of_logons, time_since_last_login, number_of_restarts, boot.last_full_boot_time.time_elapsed(), last_seen.time_elapsed()
| sort time_since_session_last_seen desc
```

{% endcode %}
{% endstep %}
{% endstepper %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.nexthink.com/platform/ja/configuring_nexthink/bringing-data-into-your-nexthink-instance/deploying-nexthink-in-vdi-environment/vdi-platform-specific-deployment-scenarios/omnissa-horizon-on-prem.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
